*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}



body{
    font-family:'Poppins',sans-serif;
    background:#dcdcdc;
}


/* CONTENEDOR */

.contenedor{
    width:90%;
    max-width:1200px;

    margin:40px auto;

    background:white;

    box-shadow:0 5px 25px rgba(0,0,0,.15);
}


/* HEADER */

.header{
    height:90px;

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:0 40px;

    background:white;

    overflow: hidden;
}


/* LOGO */

.logo{
    display:flex;
    align-items:center;
    gap:15px;
}

.logo img{
    width:60px;
}

.logo h2{
    font-size:42px;
    color:#123b87;
    font-weight:600;
}


/* MENU */

.menu{
    display:flex;
    gap:35px;
}

.menu a{
    text-decoration:none;
    color:#0b2d6d;
    font-weight:500;
    position:relative;
}

.menu .activo::after{
    content:"";

    display: block;

    width:40px;
    height:3px;

    background:#d7a328;

    position:absolute;

    left:0;
    bottom:-12px;
}


/* TELEFONO */

.telefono{
    display:flex;
    align-items:center;
    gap:20px;
}

.telefono span{
    color:#1a1a1a;
    font-size:14px;
}

.btn-header{
    background:#d7a328;
    color:white;

    padding:12px 20px;

    border-radius:4px;

    text-decoration:none;

    font-size:14px;
}


/* HERO */

.hero{
    height:420px;

    position:relative;

    background-image:url("Imagenes/Robot_degrade.jpeg");

    background-size:cover;
    background-position:center;

    display:flex;
    align-items:center;

    padding-left:70px;

    overflow:hidden;
}


/* OVERLAY */

.overlay{
    position:absolute;

    width:100%;
    height:100%;

    top:0;
    left:0;

    background:
    linear-gradient(
        90deg,
        rgba(0,27,94,.95) 10%,
        rgba(0,51,153,.70) 45%,
        rgba(0,0,0,.15) 100%
    );
}


/* TEXTO HERO */

.hero-texto{
    position:relative;
    z-index:2;

    width:500px;

    color:white;
}

.hero-texto h1{
    font-size:40px;
    line-height:1.0;

    margin-bottom:20px;

    font-weight:700;
}

.hero-texto p{
    font-size:12px;

    margin-bottom:10px;
}


/* BOTON HERO */

.btn-hero{
    display:inline-block;

    background:#d7a328;

    color:white;

    padding:10px;

    border-radius:5px;

    text-decoration:none;

    font-weight:600;
}


/* TITULOS */

.titulo{
    display:flex;
    align-items:center;
    justify-content:center;
    gap:20px;

    margin-bottom:50px;
}

.titulo h2{
    font-size:26px;
    color:#123b87;
}

.linea{
    width:120px;
    height:2px;
    background:#b8bcc7;
}


/* SERVICIOS */

.servicios{
    padding:70px 50px;
}

.cards{
    display:flex;
    justify-content:center;
    gap:35px;
}


/* CARD */

.card{
    width:320px;

    background:#f2f2f2;

    border-radius:8px;

    text-align:center;

    padding:35px 25px 0;

    box-shadow:0 4px 12px rgba(0,0,0,.12);

    overflow:hidden;
}

.card img{
    width:70px;

    border-radius: 8%;
}

.card h3{
    color:#0b2d6d;

    font-size:18px;

    margin-bottom:20px;
}

.mini-linea{
    width:140px;
    height:1px;

    background:#c8c8c8;

    margin:0 auto 20px;
}

.card p{
    font-size:17px;
    color:#444;

    line-height:1.5;

    margin-bottom:25px;
}

.barra{
    height:14px;
    width:100%;
}

.azul{
    background:#0b43b4;
}

.amarillo{
    background:#0b43b4;
}


/* NOSOTROS */

.nosotros{
    background:#f2f2f2;

    padding:70px;

    display:flex;
    align-items:center;
    justify-content:space-between;
}

.nosotros-texto{
    width:35%;
}

.titulo-nosotros{
    display:flex;
    align-items:center;
    gap:20px;

    margin-bottom:20px;
}

.titulo-nosotros h2{
    font-size:30px;
    color:#123b87;
}

.linea-dorada{
    width:100px;
    height:3px;

    background:#d7a328;
}

.nosotros-texto h3{
    font-size:16px;
    color:#123b87;

    margin-bottom:25px;
}

.nosotros-texto p{
    font-size:14px;
    line-height:1.7;

    color:#333;

    margin-bottom:35px;
}

.btn-nosotros{
    display:inline-block;

    background:#d7a328;
    color:white;

    padding:10px 14px;

    border-radius:5px;

    text-decoration:none;

    font-weight:600;
}

.nosotros-img{
    width:48%;
}

.nosotros-img img{
    width:100%;
    border-radius:8px;
}


/* CONTACTO */

.contacto{
    padding:70px 50px;

    text-align:center;
}

.contacto h3{
    font-size:16px;
    margin-bottom:50px;

    color:var(--azul);
}

.contacto-items{
    display:flex;
    justify-content:center;
    gap:20px;
    flex-wrap:wrap;

    margin-bottom:30px;
}

.item{
    width:320px;

    background:#f2f2f2;

    padding:10px;

    border-radius:6px;

    font-size:15px;

    color:#0b2d6d;

    box-shadow:0 2px 5px rgba(0,0,0,.10);
}

.btn-contacto{
    display:inline-block;

    background:#d7a328;

    color:white;

    padding:10px 20px;

    border-radius:4px;

    text-decoration:none;

    font-size:14px;
    font-weight:400;
}



/* =========================
   FOOTER
========================= */



.footer{
    background:#082b63;
    color:#fff;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:25px 60px;
}

.copy{
    margin:0;
    font-size:15px;
    font-weight:400;
    
}

.social{
    display:flex;
    align-items:center;
    gap:20px;
}

.social a{
    color:#fff;
    font-size:28px;
    transition:.3s;
    text-decoration:none;
}

.social a:hover{
    color:#d6a11d;
    transform:translateY(-3px);
}


/* =========================
   WHATSAPP
========================= */

.float{
    position:fixed;

    width:60px;
    height:60px;

    bottom:30px;
    right:30px;

    background:#25D366;
    color:white;

    border-radius:50%;

    display:flex;
    justify-content:center;
    align-items:center;

    font-size:30px;

    z-index:1000;

    text-decoration:none;

    box-shadow:0 5px 20px rgba(0,0,0,.2);

    transition:.3s ease;
}

.float:hover{
    transform:scale(1.1);
}

.footer p{
    font-size:12px;
}

/* =========================
   RESPONSIVE
========================= */

@media(max-width:992px){

    .header{
        padding:20px;
        flex-direction:column;
        height:auto;
        gap:20px;
    }

    .hero{
        padding:40px;
        height:70vh;
    }

    .hero-texto h2{
        font-size:42px;
    }

    .nosotros{
        grid-template-columns:1fr;
    }
}

@media(max-width:768px){

    .menu{
        gap:20px;
        flex-wrap:wrap;
        justify-content:center;
    }

    .hero{
        padding:30px;
        text-align:center;
        justify-content:center;
    }

    .hero-texto h2{
        font-size:34px;
    }

    .hero-texto p{
        font-size:16px;
    }

    .servicios,
    .nosotros,
    .contacto{
        padding:70px 25px;
    }

    .titulo h2{
        font-size:28px;
    }

    .contacto h3{
        font-size:24px;
    }

    .footer{
        flex-direction:column;
        text-align:center;
    }
}

@media(max-width:480px){

    .logo h1{
        font-size:22px;
    }

    .hero-texto h2{
        font-size:28px;
    }

    .btn-header,
    .btn-hero,
    .btn-nosotros,
    .btn-contacto{
        width:100%;
        text-align:center;
    }

    .contacto-items{
        flex-direction:column;
    }
}

/* Móviles */
@media (max-width: 768px){

    .header{
        padding: 15px;
    }

    .logo h1{
        font-size: 28px;
    }

    .menu{
        flex-direction: column;
        align-items: center;
        width: 100%;
        gap: 12px;
    }


    .hero{
        min-height: auto;
        padding: 50px 20px;
    }

    .hero-texto h2{
        font-size: 34px;
        line-height: 1.2;
    }

    .hero-texto p{
        font-size: 16px;
        margin: 20px 0;
    }

    .titulo h2{
        font-size: 30px;
    }

    .servicios,
    .nosotros,
    .contacto{
        padding: 60px 20px;
    }

    /* Tarjetas */
    .cards,
    .servicios-items{
        display: grid;
        grid-template-columns: 1fr;
        gap: 20px;
    }

    /* Formulario */
    .contact-wrapper{
        grid-template-columns: 1fr;
    }

    .contact-form,
    .contact-info{
        width: 100%;
    }

    .contact-form form{
        width: 100%;
    }

    .contact-form input,
    .contact-form textarea,
    .contact-form button{
        width: 100%;
    }

    .footer{
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 15px;
    }

    .redes-sociales{
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        gap: 15px;
    }
}

/* Celulares pequeños */
@media (max-width: 480px){

    .logo h1{
        font-size: 22px;
    }

    .hero{
        padding: 40px 15px;
    }

    .hero-texto h2{
        font-size: 28px;
    }

    .hero-texto p{
        font-size: 15px;
    }

    .titulo h2{
        font-size: 24px;
    }

    .btn-header,
    .btn-hero,
    .btn-nosotros,
    .btn-contacto{
        display: block;
        width: 100%;
        max-width: 300px;
        margin: 10px auto;
    }

    .contacto-items{
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .footer{
        padding: 60px 55px;
    }

    .footer p{
        font-size: 14px;
    }

    .redes-sociales a{
        font-size: 5px;
    }
}